DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MemoryReallocate

Reallocate a chunk of memory

## SYNOPSIS

dip_Error dip_MemoryReallocate ( pointer, newsize, resources )

## FUNCTION

Reallocates a chunk of memory, to change its size. `resources` must be the `dip_Resources` structure used in the call to `MemoryNew` when `pointer` was allocated.

## ARGUMENTS

Data type | Name | Description
`void **` | `pointer` | pointer to the memory chunk pointer
`size_t` | `newsize` | size of the memory chunk in bytes
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MemoryNew`, `MemoryFree`, `MemoryFunctionsSet`

DIPlib on-line documentation | Function reference | Global function index